Get Cross Tabs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description

This endpoint is designed to retrieve detailed cross-tabulated data, allowing for analysis of how responses to a base question relate to responses from either a cross question, demographic enrichments, or both. It provides insights into the relationships between the base question’s choices and the cross-question’s choices, enabling cross-tabulated analysis for a deeper understanding of how different factors influence responses. If demographic enrichments are requested, the response will include breakdowns based on various categories such as age, gender, or location, showing how different groups responded in relation to the base question. The response structure is organized to offer clear, comprehensive data, including breakdowns by sentiment, numerical values, and permutation scores, facilitating advanced analytics and reporting.


Important notes:

  • Notice that sort_index, sentiment, numeric_value are possibly null.
  • If only cross question/s where asked - demographic_and_geographic_data will not return in the response.
  • If only enrichments where asked - cross_choices_data will not return in the response.
Query Params
date
required

Filtering by the submitted_at of a Submission (>=)

date
required

Filtering by the submitted_at of a Submission. (<=).

int32
required

Represents the generic question id the we use as base question for the cross tabs calculation.

int32

Represents the identifier of a Division to filter by.

ageGroupId
array of int32s

Represents the identifier(s) of age group choice(s) to filter by

ageGroupId
educationId
array of int32s

Represents the identifier(s) of education choice(s) to filter by.

educationId
incomeId
array of int32s

Represents the identifier(s) of income choice(s) to filter by.

incomeId
genderId
array of int32s

Represents the identifier(s) of gender choice(s) to filter by.

genderId
ethnicityId
array of int32s

Represents the identifier(s) of ethnicity choice(s) to filter by.

ethnicityId
crossQuestionId
array of int32s

Represents the generic question ID/s of the cross question used for the calculation.

crossQuestionId
enrichments
array of strings

A list of enrichment categories, which can include any of the following: 'age', 'education', 'income', 'ethnicity', 'area', 'gender'.

enrichments
boolean

Specifies whether to group the enrichments by their parent category.

int32

Represents the survey group identifier

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json